Katello - Bug #6601

license in package details seems to be incorrect and filled with buildhost instead

07/14/2014 10:24 AM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1115364 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/442
2
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1115364
Description of problem:
License in package details seems to be incorrect and filled with buildhost instead

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140626.1

How reproducible:
always

Steps to Reproduce:
1. Search some package and hoover over it to display popup bubble with
info about that package (I have used fence-agents-3.1.5-44.el6.x86_64.rpm)

Actual results:
License: x86-027.build.eng.bos.redhat.com

Expected results:
Should match what rpm have in its metadata:

1. rpm -gpi fence-agents-3.1.5-44.e16.x86_64.rpm

Name : fence-agents Relocations: (not relocatable)

Version :3.1.5 Vendor: Red Hat, Inc.

Release :44.el6 Build Date: Wed 02 Jul 2014 04:38:51 AM EDT

Install Date: (not installed) Build Host: x86-027.build.eng.bos.redhat.com

Group : System Environment/Base Source RPM: fence-agents-3.1.5-44.el6.src.rpm
Size : 536092 License: GPLv2+ and LGPLv2+

Signature : (none)
Packager :Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>

URL : http://sources.redhat.com/cluster/wiki/
Summary : Fence Agents for Red Hat Cluster
Description :

Red Hat Fence Agents is a collection of scripts to handle remote
power management for several devices.

Associated revisions

Revision 3¢c7f3843 - 07/14/2014 10:29 AM - Brad Buckingham
fixes #6601 / BZ 1115364 - content search - fix package license

Small update to:
- properly show the package license information
- correctly i18n a couple strings being rendered

Revision f3f44afb - 07/15/2014 10:19 AM - Brad Buckingham
https://bugzilla.redhat.com/show_bug.cgi?id=1115364
http://bugzilla.redhat.com/bugzilla
http://sources.redhat.com/cluster/wiki/

Merge pull request #4422 from bbuckingham/issue-6601

fixes #6601 / BZ 1115364 - content search - fix package license

History

#1 - 07/14/2014 10:25 AM - Brad Buckingham
- Assignee set to Brad Buckingham
- Target version set to 49

- Triaged changed from No to Yes

#2 - 07/14/2014 10:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4422 added
- Pull request deleted ()

#3 - 07/15/2014 11:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|3c7{384383dd71dff08f8f0c4d52690d692d7cec.

#4 - 08/22/2014 09:02 AM - Eric Helms

- translation missing: en.field_release set to 13
